#### D.6.19.5 addnondegeneratevariables

Procedure from library `realclassify.lib` (see realclassify_lib).

Usage:
  addnondegeneratevariables(NFR); NFR NormalFormEquation

Return:
  Adds squares of the non-degenerate variables (i.e. var(cr+1), ..., var(nvars(basering)) for corank cr) to the normalform nf, with signs according to the inertia index.

Example:

    LIB "realclassify.lib";
    ring r = 0, (x,y,z), ds;
    poly f = (x2+3y-2z)^2+xyz-(x-y3+x2z3)^3;
    list NFR = realclassify(f);
    NFR[1];
    ==> Corank = 2
    ==> Inertia index = 0
    ==> Normal form equation of type = D[4]-
    ==> Normal form equation = x2y-y3
    ==> Milnor number = 4
    ==> Modality = 0
    ==> Determinacy <= 3
    ==>
    addnondegeneratevariables(NFR[1]);
    ==> Corank = 2
    ==> Inertia index = 0
    ==> Normal form equation of type = D[4]-
    ==> Normal form equation = z2+x2y-y3
    ==> Milnor number = 4
    ==> Modality = 0
    ==> Determinacy <= 3
    ==>

See also: realmorsesplit.

User manual for Singular version 4.4.1, 2025, generated by texi2html.